org.apache.cassandra.utils

## Class ResourceWatcher

- java.lang.Object
- - org.apache.cassandra.utils.ResourceWatcher

-     public class ResourceWatcher
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceWatcher.WatchedResource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceWatcher()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `watch(java.lang.String resource, java.lang.Runnable callback, int period)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceWatcher

          public ResourceWatcher()

  - ### Method Detail

    - #### watch

          public static void watch(java.lang.String resource,
                                   java.lang.Runnable callback,
                                   int period)

Copyright © 2018 The Apache Software Foundation